com.amazon.redshift.jdbc

## Class MetadataAPIHelper.ShowGrantsInfo

- java.lang.Object
- - com.amazon.redshift.jdbc.MetadataAPIHelper.ShowGrantsInfo

Enclosing class:
  MetadataAPIHelper

    public static class MetadataAPIHelper.ShowGrantsInfo
    extends Object

Data container for privilege grant metadata returned by the SHOW GRANTS command.

This class represents a single privilege grant, showing what permissions have been granted to which users/roles on which database objects. Each instance represents one privilege grant entry, which can apply to databases, schemas, tables, or individual columns. Used by JDBC metadata methods like getTablePrivileges() and getColumnPrivileges() to provide structured access to privilege information.

Grant hierarchy levels:

- Database level: Only databaseName is populated
- Schema level: databaseName and schemaName are populated
- Table level: databaseName, schemaName, and tableName are populated
- Column level: All fields including columnName are populated

The adminOption indicates whether the grantee can further grant this privilege to others (equivalent to "WITH GRANT OPTION" in SQL).

See Also:
  `DatabaseMetaData.getTablePrivileges(String, String, String)`, `DatabaseMetaData.getColumnPrivileges(String, String, String, String)`, `MetadataServerProxy.getTablePrivileges(String, String, String, boolean)`, `MetadataServerProxy.getColumnPrivileges(String, String, String, String, boolean)`

### Constructor Summary

Constructors
Constructor and Description
`ShowGrantsInfo(String databaseName, String schemaName, String objectName, String tableName, String columnName, String grantor, String identityName, String privilegeType, boolean adminOption)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `getAdminOption()`
`String` `getColumnName()`
`String` `getDatabaseName()`
`String` `getGrantor()`
`String` `getIdentityName()`
`String` `getObjectName()`
`String` `getPrivilegeType()`
`String` `getSchemaName()`
`String` `getTableName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShowGrantsInfo

    public ShowGrantsInfo(String databaseName,
                          String schemaName,
                          String objectName,
                          String tableName,
                          String columnName,
                          String grantor,
                          String identityName,
                          String privilegeType,
                          boolean adminOption)

### Method Detail

#### getDatabaseName

    public String getDatabaseName()

#### getSchemaName

    public String getSchemaName()

#### getObjectName

    public String getObjectName()

#### getTableName

    public String getTableName()

#### getColumnName

    public String getColumnName()

#### getGrantor

    public String getGrantor()

#### getIdentityName

    public String getIdentityName()

#### getPrivilegeType

    public String getPrivilegeType()

#### getAdminOption

    public boolean getAdminOption()